unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure Zmiana_w_Edit(Sender: TObject);   //to wpisz z klawiatury
    procedure klawisz(Sender: TObject; var Key: Char); //dla zdarzenia OnKeyPress
    procedure Button1Click(Sender: TObject);
  private
      { Private declarations }
      okno: TEdit;
  public
        { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//procedura obsługi zdarzenia OnKeyPress dla komponentu okno, należy ją wpisać //z klawiatury
procedure TForm1.klawisz(Sender: TObject; var Key: Char);
begin
  if Key=#13 then Label2.Caption:=okno.Text;
end;

//procedura obsługi zdarzenia OnChange dla komponentu okno, należy ją wpisać //z klawiatury
procedure TForm1.Zmiana_w_Edit(Sender:TObject);
begin
  Form1.Label1.Caption:=okno.Text;
end;


//procedura tworzy komponent TEdit i wyświetla go na formularzu
procedure TForm1.Button1Click(Sender: TObject);
begin
  if okno=nil then  //sprawdzenie, czy komponent już istnieje
  begin
    okno:=TEdit.Create(Self);
    okno.Parent:=Form1;  // komponent wyświetlony zostanie na formularzu
    okno.Left:=10;
    okno.Top:=10;
    okno.Width:=60;
    okno.Height:=20;
    okno.OnChange:=Zmiana_w_Edit;
    Label1.Caption:='wpisz cos do okna Edit i nacisnij Enter';
    okno.OnKeyPress:=klawisz;
  end;
end;

end.
